package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * 眼科处方表1数据
 *
 * */
@Entity
@Table(name = "v_ms_dd02")
public class HlwCf02DO {
    private Integer sBXH;//NUMBER(18)   N注释
    private Integer cFSB;//NUMBER(18)   N识别序号
    private Integer yPXH;//NUMBER(6)    N处方识别
    private Integer yPCD;//NUMBER(6)    N药品序号
    private Integer xMLX;//NUMBER(2)    N药品产地
    private Integer cFTS;//NUMBER(2)    N项目类型
    private Double yPSL;//NUMBER(10,2) N处方贴数
    private Double yPDJ;//NUMBER(12,4) N药品数量
    private Double hJJE;//NUMBER(12,2) N药品单价
    private Integer yPZS;//INTEGER      N划价金额
    private String yCSL;//VARCHAR2(20)  N药品组数
    private Integer fYGB;//NUMBER(4)    N一次数量
    private Double zFBL;//NUMBER(5,3)  N费用归并
    private Integer gYTJ;//NUMBER(4)    Y自负比例
    private String yPYF;//VARCHAR2(20)  Y给药途径
    private Integer yPZH;//NUMBER(18)   Y药品用法
    private String yFGG;//VARCHAR2(20)  Y药品组号
    private String yFDW;//VARCHAR2(4)   Y药房规格
    private Integer yFBZ;//NUMBER(4)    N药房单位
    private String sJYL;//VARCHAR2(20)  Y药房包装
    private Integer pSPB;//NUMBER(1)    Y实际用量
    private Integer yYTS;//INTEGER      Y皮试判别
    private Double yCSL2;//NUMBER(10,4)Y用药天数
    private Double xSSL;//NUMBER(10,4) Y一次用量
    private Integer mRCS;//NUMBER(2)    N显示数量
    private String cFBZ;//VARCHAR2(40)  Y每日次数
    private Double yCJL;//NUMBER(10,2) Y处方标志
    private Integer pSJG;//NUMBER(1)    Y一次剂量
    private Integer pLXH;//NUMBER(4)    Y皮试结果
    private Integer sYBZ;//NUMBER(1)    Y排列序号
    private Integer zBBZ;//NUMBER(1)    Y输液标志；1 输液调入   0 或 NULL 未调入
    private Integer yDFYBZ;//NUMBER(1)  Y药店发药标志
    private Integer tYSQSL;//NUMBER(5)  Y退药申请数量
    private Date yDFYRQ;//DATE          Y药店发药人
    private String yDFYR;//VARCHAR2(20) Y药店发药日期
    private Integer cZGH;//NUMBER(8)    Y操作工号
    private Date cZRQ;//DATE            Y操作日期
    private Integer zJFLAG;//NUMBER(1)  Y
    private Integer mBYF;//NUMBER(1)    Y
    private String bZ;//VARCHAR2(200)   Y备注
    private Double jHJG;//NUMBER(12,4) Y进货价格
    private Integer sPZT;//NUMBER(1)    Y0审批状态        0表示未审批   1表示审批通过   2表示审批未通过
    private String tHYY;//VARCHAR2(200) Y退回原因


    @Id
    @Column(name = "SBXH")
    public Integer getSBXH() {
        return sBXH;
    }

    public void setSBXH(Integer sBXH) {
        this.sBXH = sBXH;
    }

    @Basic
    @Column(name = "CFSB")
    public Integer getCFSB() {
        return cFSB;
    }

    public void setCFSB(Integer cFSB) {
        this.cFSB = cFSB;
    }

    @Basic
    @Column(name = "YPXH")
    public Integer getYPXH() {
        return yPXH;
    }

    public void setYPXH(Integer yPXH) {
        this.yPXH = yPXH;
    }

    @Basic
    @Column(name = "YPCD")
    public Integer getYPCD() {
        return yPCD;
    }

    public void setYPCD(Integer yPCD) {
        this.yPCD = yPCD;
    }

    @Basic
    @Column(name = "XMLX")
    public Integer getXMLX() {
        return xMLX;
    }

    public void setXMLX(Integer xMLX) {
        this.xMLX = xMLX;
    }

    @Basic
    @Column(name = "CFTS")
    public Integer getCFTS() {
        return cFTS;
    }

    public void setCFTS(Integer cFTS) {
        this.cFTS = cFTS;
    }


    @Basic
    @Column(name = "YPSL")
    public Double getYPSL() {
        return yPSL;
    }

    public void setYPSL(Double yPSL) {
        this.yPSL = yPSL;
    }

    @Basic
    @Column(name = "YPDJ")
    public Double getYPDJ() {
        return yPDJ;
    }

    public void setYPDJ(Double yPDJ) {
        this.yPDJ = yPDJ;
    }

    @Basic
    @Column(name = "HJJE")
    public Double getHJJE() {
        return hJJE;
    }

    public void setHJJE(Double hJJE) {
        this.hJJE = hJJE;
    }

    @Basic
    @Column(name = "YPZS")
    public Integer getYPZS() {
        return yPZS;
    }

    public void setYPZS(Integer yPZS) {
        this.yPZS = yPZS;
    }

    @Basic
    @Column(name = "YCSL")
    public String getYCSL() {
        return yCSL;
    }

    public void setYCSL(String yCSL) {
        this.yCSL = yCSL;
    }

    @Basic
    @Column(name = "FYGB")
    public Integer getFYGB() {
        return fYGB;
    }

    public void setFYGB(Integer fYGB) {
        this.fYGB = fYGB;
    }

    @Basic
    @Column(name = "ZFBL")
    public Double getZFBL() {
        return zFBL;
    }

    public void setZFBL(Double zFBL) {
        this.zFBL = zFBL;
    }

    @Basic
    @Column(name = "GYTJ")
    public Integer getGYTJ() {
        return gYTJ;
    }

    public void setGYTJ(Integer gYTJ) {
        this.gYTJ = gYTJ;
    }

    @Basic
    @Column(name = "YPYF")
    public String getYPYF() {
        return yPYF;
    }

    public void setYPYF(String yPYF) {
        this.yPYF = yPYF;
    }

    @Basic
    @Column(name = "YPZH")
    public Integer getYPZH() {
        return yPZH;
    }

    public void setYPZH(Integer yPZH) {
        this.yPZH = yPZH;
    }

    @Basic
    @Column(name = "YFGG")
    public String getYFGG() {
        return yFGG;
    }

    public void setYFGG(String yFGG) {
        this.yFGG = yFGG;
    }

    @Basic
    @Column(name = "YFDW")
    public String getYFDW() {
        return yFDW;
    }

    public void setYFDW(String yFDW) {
        this.yFDW = yFDW;
    }

    @Basic
    @Column(name = "YFBZ")
    public Integer getYFBZ() {
        return yFBZ;
    }

    public void setYFBZ(Integer yFBZ) {
        this.yFBZ = yFBZ;
    }

    @Basic
    @Column(name = "SJYL")
    public String getSJYL() {
        return sJYL;
    }

    public void setSJYL(String sJYL) {
        this.sJYL = sJYL;
    }

    @Basic
    @Column(name = "PSPB")
    public Integer getPSPB() {
        return pSPB;
    }

    public void setPSPB(Integer pSPB) {
        this.pSPB = pSPB;
    }

    @Basic
    @Column(name = "YYTS")
    public Integer getYYTS() {
        return yYTS;
    }

    public void setYYTS(Integer yYTS) {
        this.yYTS = yYTS;
    }

    @Basic
    @Column(name = "YCSL2")
    public Double getYCSL2() {
        return yCSL2;
    }

    public void setYCSL2(Double yCSL2) {
        this.yCSL2 = yCSL2;
    }

    @Basic
    @Column(name = "XSSL")
    public Double getXSSL() {
        return xSSL;
    }

    public void setXSSL(Double xSSL) {
        this.xSSL = xSSL;
    }

    @Basic
    @Column(name = "MRCS")
    public Integer getMRCS() {
        return mRCS;
    }

    public void setMRCS(Integer mRCS) {
        this.mRCS = mRCS;
    }

    @Basic
    @Column(name = "CFBZ")
    public String getCFBZ() {
        return cFBZ;
    }

    public void setCFBZ(String cFBZ) {
        this.cFBZ = cFBZ;
    }

    @Basic
    @Column(name = "YCJL")
    public Double getYCJL() {
        return yCJL;
    }

    public void setYCJL(Double yCJL) {
        this.yCJL = yCJL;
    }

    @Basic
    @Column(name = "PSJG")
    public Integer getPSJG() {
        return pSJG;
    }

    public void setPSJG(Integer pSJG) {
        this.pSJG = pSJG;
    }

    @Basic
    @Column(name = "PLXH")
    public Integer getPLXH() {
        return pLXH;
    }

    public void setPLXH(Integer pLXH) {
        this.pLXH = pLXH;
    }

    @Basic
    @Column(name = "SYBZ")
    public Integer getSYBZ() {
        return sYBZ;
    }

    public void setSYBZ(Integer sYBZ) {
        this.sYBZ = sYBZ;
    }

    @Basic
    @Column(name = "ZBBZ")
    public Integer getZBBZ() {
        return zBBZ;
    }

    public void setZBBZ(Integer zBBZ) {
        this.zBBZ = zBBZ;
    }

    @Basic
    @Column(name = "YDFYBZ")
    public Integer getYDFYBZ() {
        return yDFYBZ;
    }

    public void setYDFYBZ(Integer yDFYBZ) {
        this.yDFYBZ = yDFYBZ;
    }

    @Basic
    @Column(name = "TYSQSL")
    public Integer getTYSQSL() {
        return tYSQSL;
    }

    public void setTYSQSL(Integer tYSQSL) {
        this.tYSQSL = tYSQSL;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Basic
    @Column(name = "YDFYRQ")
    public Date getYDFYRQ() {
        return yDFYRQ;
    }

    public void setYDFYRQ(Date yDFYRQ) {
        this.yDFYRQ = yDFYRQ;
    }

    @Basic
    @Column(name = "YDFYR")
    public String getYDFYR() {
        return yDFYR;
    }

    public void setYDFYR(String yDFYR) {
        this.yDFYR = yDFYR;
    }

    @Basic
    @Column(name = "CZGH")
    public Integer getCZGH() {
        return cZGH;
    }

    public void setCZGH(Integer cZGH) {
        this.cZGH = cZGH;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Basic
    @Column(name = "CZRQ")
    public Date getCZRQ() {
        return cZRQ;
    }

    public void setCZRQ(Date cZRQ) {
        this.cZRQ = cZRQ;
    }

    @Basic
    @Column(name = "ZJFLAG")
    public Integer getZJFLAG() {
        return zJFLAG;
    }

    public void setZJFLAG(Integer zJFLAG) {
        this.zJFLAG = zJFLAG;
    }

    @Basic
    @Column(name = "MBYF")
    public Integer getMBYF() {
        return mBYF;
    }

    public void setMBYF(Integer mBYF) {
        this.mBYF = mBYF;
    }

    @Basic
    @Column(name = "BZ")
    public String getBZ() {
        return bZ;
    }

    public void setBZ(String bZ) {
        this.bZ = bZ;
    }

    @Basic
    @Column(name = "JHJG")
    public Double getJHJG() {
        return jHJG;
    }

    public void setJHJG(Double jHJG) {
        this.jHJG = jHJG;
    }
    @Basic
    @Column(name = "SPZT")
    public Integer getSPZT() {
        return sPZT;
    }

    public void setSPZT(Integer sPZT) {
        this.sPZT = sPZT;
    }

    @Basic
    @Column(name = "THYY")
    public String getTHYY() {
        return tHYY;
    }

    public void setTHYY(String tHYY) {
        this.tHYY = tHYY;
    }


}
